Attribute VB_Name = "Module1"
Option Explicit
Private Type WIN32_FIND_DATA
    dwFileAttributes As Long
    ftCreationTime As Currency 'FILETIME
    ftLastAccessTime As Currency 'FILETIME
    ftLastWriteTime As Currency 'FILETIME
    nFileSizeHigh As Long
    nFileSizeLow As Long
    dwReserved0 As Long
    dwReserved1 As Long
    cFileName As String * 260
    cAlternate As String * 14
End Type
Private Const FILE_ATTRIBUTE_DIRECTORY = &H10

Private Declare Function FindFirstFile Lib _
        "kernel32" Alias "FindFirstFileA" _
        (ByVal lpFileName As String, lpFindFileData _
        As WIN32_FIND_DATA) As Long
Private Declare Function FindNextFile Lib _
        "kernel32" Alias "FindNextFileA" _
        (ByVal hFindFile As Long, lpFindFileData _
        As WIN32_FIND_DATA) As Long
Private Declare Function FindClose Lib _
        "kernel32" (ByVal hFindFile As Long) As Long
        
Sub main()

    Dim hFind As Long, d As Boolean
    Dim sPath As String, oldPath As String
    Dim wf As WIN32_FIND_DATA
    
    sPath = UCase("C:" & "\*.*")
    hFind = FindFirstFile(sPath, wf)
    
    Do
        ' Get the filename, if any.
        If InStr(wf.cFileName, vbNullChar) > 0 Then
            sPath = Left$(wf.cFileName, _
                    InStr(wf.cFileName, vbNullChar) - 1)
        Else
            sPath = wf.cFileName
        End If
        If Len(sPath) = 0 Or StrComp(sPath, oldPath) = 0 Then
            ' Nothing found?
            
            Exit Do
        ElseIf sPath <> "." And sPath <> ".." Then
        
                    ' Add file with folder image
            If Not (wf.dwFileAttributes And FILE_ATTRIBUTE_DIRECTORY) = FILE_ATTRIBUTE_DIRECTORY Then
                
                
'********************
                MsgBox "ici : traitement sur " + wf.cFileName
'********************
                        
            End If
        End If
        FindNextFile hFind, wf
        oldPath = sPath
    Loop
    FindClose hFind
    Exit Sub

fFail:
    MsgBox Err.Description & ":" & Err.Number
End Sub
